com.dlsc.flexgantt.swing.print

## Class PrintGanttChart

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - com.dlsc.flexgantt.swing.AbstractGanttChart
          - - com.dlsc.flexgantt.swing.print.PrintGanttChart

- All Implemented Interfaces:
    ICommandStackListener, IDatelineModelListener, IPagingModelListener, IColumnModelListener, KeyListener, ImageObserver, LayoutManager, MenuContainer, Printable, PropertyChangeListener, Serializable, EventListener, Accessible

      public class PrintGanttChart
      extends AbstractGanttChart
      implements LayoutManager, Printable, IDatelineModelListener

  A Gantt chart specialized on being printed that takes another Gantt chart as its input and copies its configuration object. The Gantt chart does not have any scrollbars or splitter panels / handles that are not needed for printing.
  Since:
    1.0
  Version:
    $Revision: 1.9 $
  Author:
    Dirk Lemmermann
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.dlsc.flexgantt.swing.AbstractGanttChart

      `AbstractGanttChart.Banner`

    - ### Nested classes/interfaces inherited from class javax.swing.JPanel

      `JPanel.AccessibleJPanel`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

  - ### Field Summary

    - ### Fields inherited from class com.dlsc.flexgantt.swing.AbstractGanttChart

      `PROPERTY_ACTIVE_SPREADSHEET, PROPERTY_CALENDAR_MODEL, PROPERTY_CALENDAR_VISIBLE, PROPERTY_COLUMN_MODEL, PROPERTY_COMMAND_STACK, PROPERTY_CONTROLS_BG_COLOR, PROPERTY_CONTROLS_FG_COLOR, PROPERTY_CROSSHAIR_VISIBLE, PROPERTY_GRID_LINE_MODE, PROPERTY_KEY_COLUMN_POSITION, PROPERTY_LABELS_VISIBLE, PROPERTY_LAYER_CONTAINER_ROW_HEADER_WIDTH, PROPERTY_MODEL, PROPERTY_PAGING_MODEL, PROPERTY_POLICY_PROVIDER, PROPERTY_POPUP_VISIBLE, PROPERTY_RELATIONS_VISIBLE, PROPERTY_ROW_LAYER_VISIBLE, PROPERTY_ROW_RESIZE_POSITION, PROPERTY_TIME_NOW_SCROLLING, PROPERTY_TIME_NOW_VISIBLE, PROPERTY_TREE_TABLE_ROW_HEADER_WIDTH, PROPERTY_VERTICAL_LINES_ON_TOP`

    - ### Fields inherited from class javax.swing.JComponent

      `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.print.Printable

      `NO_SUCH_PAGE, PAGE_EXISTS`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrintGanttChart(PrintContext ctx)` Constructs a new printable Gantt chart.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLayoutComponent(String name, Component comp)`
    `void` | `alignEndTimes()` Method not supported by the printable Gantt chart.
    `void` | `alignStartTimes()` Method not supported by the printable Gantt chart.
    `void` | `collapseAll()` Method not supported by the printable Gantt chart.
    `protected void` | `copyExpansionState(TreeTable from, TreeTable to)` Copies the expansion state from one tree table to another (e.g. which nodes are open, which ones are closed).
    `protected void` | `copySettings(AbstractGanttChart from, AbstractGanttChart to, boolean initialCopy)` Copies the settings from one Gantt chart to another.
    `protected void` | `copySettings(Dateline from, Dateline to, ITimeSpan span, boolean initialCopy)` Copies the settings from one dateline to another.
    `protected void` | `copySettings(Eventline from, Eventline to, boolean initialCopy)` Copies the settings from one eventline to another.
    `protected void` | `copySettings(LayerContainer from, LayerContainer to, boolean initialCopy)` Copies the settings from one layer container to another.
    `protected void` | `copySettings(PrintContext ctx)` Copies various settings from various Gantt chart UI components to the printable Gantt chart.
    `protected void` | `copySettings(PrintContext ctx, boolean initialCopy)` Copies various settings from various Gantt chart UI components to the printable Gantt chart.
    `protected void` | `copySettings(Timeline from, Timeline to, boolean initialCopy)` Copies the settings from one timeline to another.
    `protected void` | `copySettings(TreeTableHeader from, TreeTableHeader to, boolean initialCopy)` Copies the settings from one tree table header to another.
    `protected void` | `copySettings(TreeTableRowHeader from, TreeTableRowHeader to, boolean initialCopy)` Copies the settings from one row header to another.
    `protected void` | `copySettings(TreeTable from, TreeTable to, boolean initialCopy)` Copies the settings from one tree table to another.
    `void` | `datelineModelChanged(DatelineModelEvent e)` The listener's callback method that gets invoked when the model's time span or time zone changes.
    `void` | `datelineModelWillChange(DatelineModelEvent evt)` The listener's callback method that gets invoked when the model's time span or time zone will change.
    `void` | `expandAll()` Method not supported by the printable Gantt chart.
    `IGridComponent[]` | `getGridComponents()` Returns all grid components managed by the Gantt chart container.
    `LayerContainer` | `getLayerContainer()` Returns the layer container used for printing.
    `LayerContainer[]` | `getLayerContainers()` Returns all layer containers managed by the Gantt chart container.
    `LayerContainerScrollPane[]` | `getLayerContainerScrollPanes()` Returns all layer container scrollpanes managed by the Gantt chart container.
    `PreviewDialog` | `getPreviewDialog()` Returns a preview dialog that can (optionally) be set if the user requested a preview before actually printing the Gantt chart.
    `PrintContext[]` | `getPrintContexts()` Returns all print context supported by the Gantt chart.
    `TreeTableRowHeader` | `getRowHeader()` Returns the row header used for printing.
    `TreeTable` | `getTreeTable()` Returns the tree table used for printing.
    `TreeTable[]` | `getTreeTables()` Returns all tree tables managed by the Gantt chart container.
    `TreeTableScrollPane[]` | `getTreeTableScrollPanes()` Returns all tree table scrollpanes managed by the Gantt chart container.
    `void` | `layoutContainer(Container parent)`
    `Dimension` | `minimumLayoutSize(Container parent)`
    `Dimension` | `preferredLayoutSize(Container parent)`
    `void` | `print(boolean preview, ITimeSpan span)` Method not supported by the printable Gantt chart.
    `int` | `print(Graphics g, PageFormat pageFormat, int pageIndex)`
    `protected void` | `printFooter(Graphics g, PageFormat pageFormat)` Prints the footer into the given graphics context.
    `protected void` | `printHeader(Graphics g, PageFormat pageFormat)` Prints the header into the given graphics context.
    `void` | `removeLayoutComponent(Component comp)`
    `void` | `resetToPreferredSizes()` Method not supported by the printable Gantt chart.
    `void` | `setPreviewDialog(PreviewDialog dialog)` Sets a preview dialog if the user requested a preview dialog before actually printing the Gantt chart.
    `void` | `showAllObjects()` Scrolls and zooms the `Dateline` in such a way that all timeline objects (stored on the currently visible rows) become visible.
    `void` | `showEarliestObjects()` Scrolls the `Dateline` in such a way that the earliest timeline objects (stored on the currently visible rows) become visible.
    `void` | `showLatestObjects()` Scrolls the `Dateline` in such a way that the latest timeline objects (stored on the currently visible rows) become visible.
    `void` | `showMessageContext(IMessage msg)` Method not supported by the printable Gantt chart.
    `void` | `showTime(long time, boolean center)` Requests that the given time will be shown by the Gantt chart.
    `void` | `showTimeNow(boolean center)` Requests that the time now will be shown by the Gantt chart.
    `void` | `updateState()` Updates the state of the Gantt chart by setting the size of the Gantt chart based on its preferred size.

    - ### Methods inherited from class com.dlsc.flexgantt.swing.AbstractGanttChart

      `addAvailableColumn, addMessage, addMessageListener, addSortingListener, addToolBarAction, clearMessages, clearToolBarActions, columnModelChanged, commandExecute, commandRedo, commandStackChanged, commandUndo, createPrintableGanttChart, fireMessageAdded, fireMessageRemoved, fireMessagesCleared, fireSortingEvent, getActiveSpreadsheet, getAvailableColumns, getCalendarModel, getColumn, getColumnCount, getColumnModel, getCommandInterceptor, getCommandStack, getComponentFactory, getControlsBackground, getControlsForeground, getDateline, getDatelineModel, getEventline, getGranularity, getGridLineMode, getKeyColumn, getKeyColumnPosition, getLayerContainerRowHeaderWidth, getMessages, getModel, getPagingModel, getPolicyProvider, getPrintSetup, getProgressMonitorFactory, getRowResizePosition, getSelectorFactory, getTimeline, getTimeSpan, getToolBarActions, getTreeTableHeader, getTreeTableRowHeaderWidth, isCalendarVisible, isCrosshairVisible, isLabelsVisible, isPopupVisible, isRelationsVisible, isRowLayerVisible, isShowingCommandExceptions, isTimeNowScrolling, isTimeNowVisible, isVerticalLinesOnTop, keyPressed, keyReleased, keyTyped, optimizeColumnWidth, optimizeColumnWidth, optimizeColumnWidth, optimizeColumnWidth, optimizeColumnWidth, optimizeColumnWidth, pageChanged, pageWillChange, paint, paintRowResizePosition, print, propertyChange, removeAvailableColumn, removeMessage, removeMessageListener, removeSortingListener, removeToolBarAction, setActiveSpreadsheet, setAvailableColumns, setCalendarModel, setCalendarVisible, setColumnModel, setCommandInterceptor, setCommandStack, setControlsBackground, setControlsForeground, setCrosshairVisible, setEnabled, setGranularity, setGridLineMode, setKeyColumnPosition, setLabelsVisible, setLayerContainerRowHeaderWidth, setModel, setPagingModel, setPolicyProvider, setPopupVisible, setPrintSetup, setProgressMonitorFactory, setRelationsVisible, setRowLayerVisible, setRowResizePosition, setShowingCommandExceptions, setTimeNowScrolling, setTimeNowVisible, setTimeSpan, setTreeTableRowHeaderWidth, setVerticalLinesOnTop, showMessage, showMessage, showMessage, showMessages, sortTables, tearDown`

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PrintGanttChart

          public PrintGanttChart(PrintContext ctx)

      Constructs a new printable Gantt chart.
      Parameters:
        `ctx` - the print context for which the preview Gantt chart gets created (the preview Gantt chart will copy its settings from the components provided by the context)
      Since:
        1.0

  - ### Method Detail

    - #### copySettings

          protected void copySettings(PrintContext ctx)

      Copies various settings from various Gantt chart UI components to the printable Gantt chart. This method needs to be called every time before bringing up the preview dialog as some settings might have changed since the last time the Gantt chart was printed.
      Parameters:
        `ctx` - the print context
      Since:
        1.0

    - #### copySettings

          protected void copySettings(PrintContext ctx,
                                      boolean initialCopy)

      Copies various settings from various Gantt chart UI components to the printable Gantt chart. This method needs to be called every time before bringing up the preview dialog as some settings might have changed since the last time the Gantt chart was printed.
      Parameters:
        `ctx` - the print context
        `initialCopy` - a flag signalling whether this method gets called for the first time or for follow up print attempts (some settings might only need to be copied the first time around, after that the preview dialog will keep / manage the state of the printable Gantt)
      Since:
        1.1

    - #### datelineModelWillChange

          public void datelineModelWillChange(DatelineModelEvent evt)

      Description copied from interface: `IDatelineModelListener`
      The listener's callback method that gets invoked when the model's time span or time zone will change.
      Specified by:
        `datelineModelWillChange` in interface `IDatelineModelListener`
      Parameters:
        `evt` - the event that occured on the dateline

    - #### datelineModelChanged

          public void datelineModelChanged(DatelineModelEvent e)

      Description copied from interface: `IDatelineModelListener`
      The listener's callback method that gets invoked when the model's time span or time zone changes.
      Specified by:
        `datelineModelChanged` in interface `IDatelineModelListener`
      Parameters:
        `e` - the event that occured on the dateline

    - #### getLayerContainer

          public LayerContainer getLayerContainer()

      Returns the layer container used for printing.
      Returns:
        the printable Gantt chart's layer container
      Since:
        1.0

    - #### getTreeTable

          public TreeTable getTreeTable()

      Returns the tree table used for printing.
      Returns:
        the printable Gantt chart's tree table
      Since:
        1.0

    - #### getRowHeader

          public TreeTableRowHeader getRowHeader()

      Returns the row header used for printing.
      Returns:
        the printable Gantt chart's row header
      Since:
        1.0

    - #### print

          public int print(Graphics g,
                           PageFormat pageFormat,
                           int pageIndex)
                    throws PrinterException

      Specified by:
        `print` in interface `Printable`
      Throws:
        `PrinterException`

    - #### printHeader

          protected void printHeader(Graphics g,
                                     PageFormat pageFormat)

      Prints the header into the given graphics context.
      Parameters:
        `g` - the graphics context
        `pageFormat` - the page format object
      Since:
        2.1

    - #### printFooter

          protected void printFooter(Graphics g,
                                     PageFormat pageFormat)

      Prints the footer into the given graphics context.
      Parameters:
        `g` - the graphics context
        `pageFormat` - the page format object
      Since:
        2.1

    - #### showEarliestObjects

          public void showEarliestObjects()

      Description copied from class: `AbstractGanttChart`
      Scrolls the `Dateline` in such a way that the earliest timeline objects (stored on the currently visible rows) become visible.
      Overrides:
        `showEarliestObjects` in class `AbstractGanttChart`

    - #### showLatestObjects

          public void showLatestObjects()

      Description copied from class: `AbstractGanttChart`
      Scrolls the `Dateline` in such a way that the latest timeline objects (stored on the currently visible rows) become visible.
      Overrides:
        `showLatestObjects` in class `AbstractGanttChart`

    - #### showAllObjects

          public void showAllObjects()

      Description copied from class: `AbstractGanttChart`
      Scrolls and zooms the `Dateline` in such a way that all timeline objects (stored on the currently visible rows) become visible.
      Overrides:
        `showAllObjects` in class `AbstractGanttChart`

    - #### showTime

          public void showTime(long time,
                               boolean center)

      Description copied from class: `AbstractGanttChart`
      Requests that the given time will be shown by the Gantt chart.
      Overrides:
        `showTime` in class `AbstractGanttChart`
      Parameters:
        `time` - the time to make visible
        `center` - if TRUE the time now will be shown in the center / middle of the layer container, otherwise it will be on the left edge of the layer container
      See Also:
        `AbstractGanttChart.showTimeNow(boolean)`

    - #### showTimeNow

          public void showTimeNow(boolean center)

      Description copied from class: `AbstractGanttChart`
      Requests that the time now will be shown by the Gantt chart.
      Overrides:
        `showTimeNow` in class `AbstractGanttChart`
      Parameters:
        `center` - if TRUE the time now will be shown in the center / middle of the layer container, otherwise it will be on the left edge of the layer container
      See Also:
        `AbstractGanttChart.showTime(long, boolean)`

    - #### addLayoutComponent

          public void addLayoutComponent(String name,
                                         Component comp)

      Specified by:
        `addLayoutComponent` in interface `LayoutManager`

    - #### removeLayoutComponent

          public void removeLayoutComponent(Component comp)

      Specified by:
        `removeLayoutComponent` in interface `LayoutManager`

    - #### preferredLayoutSize

          public Dimension preferredLayoutSize(Container parent)

      Specified by:
        `preferredLayoutSize` in interface `LayoutManager`

    - #### minimumLayoutSize

          public Dimension minimumLayoutSize(Container parent)

      Specified by:
        `minimumLayoutSize` in interface `LayoutManager`

    - #### layoutContainer

          public void layoutContainer(Container parent)

      Specified by:
        `layoutContainer` in interface `LayoutManager`

    - #### print

          public void print(boolean preview,
                            ITimeSpan span)

      Method not supported by the printable Gantt chart.
      Specified by:
        `print` in class `AbstractGanttChart`
      Parameters:
        `preview` - if TRUE a preview dialog will be shown first before printing
        `span` - the time span that needs to be printed
      Since:
        1.0
      See Also:
        `AbstractGanttChart.print(boolean, ITimeSpan)`

    - #### expandAll

          public void expandAll()

      Method not supported by the printable Gantt chart.
      Overrides:
        `expandAll` in class `AbstractGanttChart`
      Since:
        1.0
      See Also:
        `AbstractGanttChart.expandAll()`

    - #### collapseAll

          public void collapseAll()

      Method not supported by the printable Gantt chart.
      Overrides:
        `collapseAll` in class `AbstractGanttChart`
      Since:
        1.0
      See Also:
        `AbstractGanttChart.collapseAll()`

    - #### showMessageContext

          public void showMessageContext(IMessage msg)

      Method not supported by the printable Gantt chart.
      Overrides:
        `showMessageContext` in class `AbstractGanttChart`
      Parameters:
        `msg` - the message for which to show the context
      Since:
        1.0
      See Also:
        `AbstractGanttChart.showMessageContext(com.dlsc.flexgantt.swing.IMessage)`

    - #### resetToPreferredSizes

          public void resetToPreferredSizes()

      Method not supported by the printable Gantt chart.
      Specified by:
        `resetToPreferredSizes` in class `AbstractGanttChart`
      Since:
        1.0
      See Also:
        `AbstractGanttChart.resetToPreferredSizes()`

    - #### alignEndTimes

          public void alignEndTimes()

      Method not supported by the printable Gantt chart.
      Overrides:
        `alignEndTimes` in class `AbstractGanttChart`
      Since:
        1.0
      See Also:
        `AbstractGanttChart.alignEndTimes()`

    - #### alignStartTimes

          public void alignStartTimes()

      Method not supported by the printable Gantt chart.
      Overrides:
        `alignStartTimes` in class `AbstractGanttChart`
      Since:
        1.0
      See Also:
        `AbstractGanttChart.alignStartTimes()`

    - #### updateState

          public void updateState()

      Updates the state of the Gantt chart by setting the size of the Gantt chart based on its preferred size.
      Since:
        1.1

    - #### copySettings

          protected void copySettings(AbstractGanttChart from,
                                      AbstractGanttChart to,
                                      boolean initialCopy)

      Copies the settings from one Gantt chart to another.
      Parameters:
        `from` - the source Gantt chart
        `to` - the target Gantt chart
        `initialCopy` - a flag signalling whether this method gets called for the first time or for follow up print attempts (some settings might only need to be copied the first time around, after that the preview dialog will keep / manage the state of the printable Gantt)
      Since:
        1.0

    - #### copySettings

          protected void copySettings(TreeTable from,
                                      TreeTable to,
                                      boolean initialCopy)

      Copies the settings from one tree table to another.
      Parameters:
        `from` - the source tree table
        `to` - the target tree table
        `initialCopy` - a flag signalling whether this method gets called for the first time or for follow up print attempts (some settings might only need to be copied the first time around, after that the preview dialog will keep / manage the state of the printable Gantt)
      Since:
        1.0

    - #### copyExpansionState

          protected void copyExpansionState(TreeTable from,
                                            TreeTable to)

      Copies the expansion state from one tree table to another (e.g. which nodes are open, which ones are closed).
      Parameters:
        `from` - the source tree table
        `to` - the target tree table
      Since:
        1.1

    - #### copySettings

          protected void copySettings(TreeTableHeader from,
                                      TreeTableHeader to,
                                      boolean initialCopy)

      Copies the settings from one tree table header to another.
      Parameters:
        `from` - the source tree table header
        `to` - the target tree table header
        `initialCopy` - a flag signalling whether this method gets called for the first time or for follow up print attempts (some settings might only need to be copied the first time around, after that the preview dialog will keep / manage the state of the printable Gantt)
      Since:
        1.0

    - #### copySettings

          protected void copySettings(TreeTableRowHeader from,
                                      TreeTableRowHeader to,
                                      boolean initialCopy)

      Copies the settings from one row header to another.
      Parameters:
        `from` - the source row header
        `to` - the target row header
        `initialCopy` - a flag signalling whether this method gets called for the first time or for follow up print attempts (some settings might only need to be copied the first time around, after that the preview dialog will keep / manage the state of the printable Gantt)
      Since:
        1.0

    - #### copySettings

          protected void copySettings(Dateline from,
                                      Dateline to,
                                      ITimeSpan span,
                                      boolean initialCopy)

      Copies the settings from one dateline to another.
      Parameters:
        `from` - the source dateline
        `to` - the target dateline
        `span` - the printed time span
        `initialCopy` - a flag signalling whether this method gets called for the first time or for follow up print attempts (some settings might only need to be copied the first time around, after that the preview dialog will keep / manage the state of the printable Gantt)
      Since:
        1.0

    - #### copySettings

          protected void copySettings(Eventline from,
                                      Eventline to,
                                      boolean initialCopy)

      Copies the settings from one eventline to another.
      Parameters:
        `from` - the source eventline
        `to` - the target eventline
        `initialCopy` - a flag signalling whether this method gets called for the first time or for follow up print attempts (some settings might only need to be copied the first time around, after that the preview dialog will keep / manage the state of the printable Gantt)
      Since:
        1.0

    - #### copySettings

          protected void copySettings(Timeline from,
                                      Timeline to,
                                      boolean initialCopy)

      Copies the settings from one timeline to another.
      Parameters:
        `from` - the source timeline
        `to` - the target timeline
        `initialCopy` - a flag signalling whether this method gets called for the first time or for follow up print attempts (some settings might only need to be copied the first time around, after that the preview dialog will keep / manage the state of the printable Gantt)
      Since:
        1.0

    - #### copySettings

          protected void copySettings(LayerContainer from,
                                      LayerContainer to,
                                      boolean initialCopy)

      Copies the settings from one layer container to another.
      Parameters:
        `from` - the source layer container
        `to` - the target layer container
        `initialCopy` - a flag signalling whether this method gets called for the first time or for follow up print attempts (some settings might only need to be copied the first time around, after that the preview dialog will keep / manage the state of the printable Gantt)
      Since:
        1.0

    - #### getPreviewDialog

          public PreviewDialog getPreviewDialog()

      Returns a preview dialog that can (optionally) be set if the user requested a preview before actually printing the Gantt chart.
      Returns:
        an (optional) preview dialog
      Since:
        1.0

    - #### setPreviewDialog

          public void setPreviewDialog(PreviewDialog dialog)

      Sets a preview dialog if the user requested a preview dialog before actually printing the Gantt chart.
      Parameters:
        `dialog` - a preview dialog
      Since:
        1.0

    - #### getPrintContexts

          public PrintContext[] getPrintContexts()

      Description copied from class: `AbstractGanttChart`
      Returns all print context supported by the Gantt chart. A standard Gantt chart will only return a single print context, a dual Gantt chart will return two contexts, ...
      Specified by:
        `getPrintContexts` in class `AbstractGanttChart`
      Returns:
        all print contexts supported by the Gantt chart

    - #### getLayerContainerScrollPanes

          public LayerContainerScrollPane[] getLayerContainerScrollPanes()

      Description copied from class: `AbstractGanttChart`
      Returns all layer container scrollpanes managed by the Gantt chart container.
      Specified by:
        `getLayerContainerScrollPanes` in class `AbstractGanttChart`
      Returns:
        all layer container scrollpanes

    - #### getTreeTableScrollPanes

          public TreeTableScrollPane[] getTreeTableScrollPanes()

      Description copied from class: `AbstractGanttChart`
      Returns all tree table scrollpanes managed by the Gantt chart container.
      Specified by:
        `getTreeTableScrollPanes` in class `AbstractGanttChart`
      Returns:
        all tree table scrollpanes

    - #### getGridComponents

          public IGridComponent[] getGridComponents()

      Description copied from class: `AbstractGanttChart`
      Returns all grid components managed by the Gantt chart container. Layer containers and eventlines implement the grid component interface and can be controlled via `GridControl` instances.
      Specified by:
        `getGridComponents` in class `AbstractGanttChart`
      Returns:
        all grid components

    - #### getLayerContainers

          public LayerContainer[] getLayerContainers()

      Description copied from class: `AbstractGanttChart`
      Returns all layer containers managed by the Gantt chart container.
      Specified by:
        `getLayerContainers` in class `AbstractGanttChart`
      Returns:
        all layer containers

    - #### getTreeTables

          public TreeTable[] getTreeTables()

      Description copied from class: `AbstractGanttChart`
      Returns all tree tables managed by the Gantt chart container.
      Specified by:
        `getTreeTables` in class `AbstractGanttChart`
      Returns:
        all tree tables

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.